"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emitInvokeBaseConstructor = void 0;
const ArrayUtils = require("../utils/array_utils");
const Keywords = require("./keywords");
const Delimiters = require("./delimiters");
const MethodArgumentTokens = require("./method_argument_tokens");
function emitInvokeBaseConstructor(statement) {
    if (statement == null)
        return ArrayUtils.empty();
    else
        return [
            Delimiters.space, Delimiters.colon, Delimiters.space,
            Keywords.base, ...MethodArgumentTokens.emit(statement.arguments)
        ];
}
exports.emitInvokeBaseConstructor = emitInvokeBaseConstructor;
