"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emit = void 0;
const ArrayUtils = require("../utils/array_utils");
const Delimiters = require("./delimiters");
const TypeReferenceTokens = require("./type_reference_tokens");
function emit(typeReferences) {
    if (ArrayUtils.isFalsy(typeReferences))
        return ArrayUtils.empty();
    else
        return [
            Delimiters.space, Delimiters.colon, Delimiters.space,
            ...Delimiters.commaSeparated(...typeReferences.map(x => TypeReferenceTokens.emit(x)))
        ];
}
exports.emit = emit;
